[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTStringNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Node type for TFPStringHashTable

## Declaration

Source position: contnrs.pp line 423

`type THTStringNode = class(THTCustomNode)`
`public`
`property Data: String; [rw]` |  | String data
`end;`

## Inheritance

`THTStringNode` |  | Node type for TFPStringHashTable
`THTCustomNode` |  | Single item in the hash table.
`TObject`

## Description

THTStringNode is a THTCustomNode descendent which holds the data in the TFPStringHashTable hash table. It exposes a data string.

It should not be necessary to use THTStringNode directly, it's only for inner use by TFPStringHashTable

## See also

TFPStringHashTable |  | Hash table for string data.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.